From e39eb67bef17c32e5aeb41b936464b3dacb4a597 Mon Sep 17 00:00:00 2001
From: msheakoski <michael.sheakoski@gmail.com>
Date: Wed, 18 Mar 2020 10:20:43 -0400
Subject: [PATCH] Update types to reflect that null is a possible return value

---
 mobile-detect.d.ts | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/mobile-detect.d.ts b/mobile-detect.d.ts
index 57aa1ac..362b8a7 100644
--- a/mobile-detect.d.ts
+++ b/mobile-detect.d.ts
@@ -7,9 +7,9 @@ declare class MobileDetect {
 
 	constructor(userAgent: string, maxPhoneWidth?: number);
 
-	mobile(): string;
-	phone(): string;
-	tablet(): string;
+	mobile(): string|null;
+	phone(): string|null;
+	tablet(): string|null;
 
 	userAgent(): string;
 	userAgents(): string[];
